if SERVER then
	require("sqlite")
	
	sqlcon = sqlite.Open("Players.db")

	function printPlayers(player, cmd, arguments)
		local tbl, rows, columns = sqlcon:GetTable("SELECT * FROM players;");
		for i=0, rows*columns-1, columns do
			print("ID: " .. tbl[tostring(i)] .. ", Name: " .. tbl[tostring(i+1)])
		end
	end

	function addPlayer(player, cmd, arguments)
		sqlcon:Execute("INSERT INTO players VALUES("..arguments[1]..",'"..arguments[2].."');")
	end

	function initDatabase(player, cmd, arguments)
		sqlcon:Execute("CREATE TABLE players (id int, name varchar);")
	end
	
	function ShutDown()
		sqlcon:Close()
	end
end

concommand.Add("printPlayers", printPlayers)
concommand.Add("addPlayer", addPlayer)
concommand.Add("initDatabase", initDatabase)
hook.Add("ShutDown", "sqlitelib_shutdown", ShutDown)